<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\Esb\Model;

/**
 * ESB Schedule object
 */
class Schedule extends \Magento\Framework\Model\AbstractModel implements \Magento\Framework\DataObject\IdentityInterface
{
    const CACHE_TAG = 'filoblu_esb_schedule';

    protected function _construct()
    {
        $this->_init('FiloBlu\Esb\Model\ResourceModel\Schedule');
    }

    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}